S3QLSTAT(1)

NAME
s3qlstat - Gather S3QL file system statistics

SYNOPSIS

s3qlstat [options] <mountpoint>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The s3qlstat command prints statistics about the S3QL file system mounted at mountpoint.

s3qlstat can only be called by the user that mounted the file system and (if the file system was mounted with --allow-other or --allow-root) the root user.

OPTIONS

The s3qlstat command accepts the following options:

--debug-modules <modules>
    Activate debugging output from specified modules (use commas to separate multiple modules). Debug messages will be written to the target specified by the --log option.

--debug
    Activate debugging output from all S3QL modules. Debug messages will be written to the target specified by the --log option.

--quiet
    be really quiet

--version
    just print program version and exit

--raw
    Do not pretty-print numbers

EXIT CODES

s3qlstat may terminate with the following exit codes:

0   Everything went well.

1   An unexpected error occured. This may indicate a bug in the program.

2   Invalid command line argument.

SEE ALSO

The S3QL homepage is at https://bitbucket.org/nikratio/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>